HQ APIVat categories
Create company VAT assignment
Assigns one product/service to a company VAT category.
POST
/v1/hq/vat_assignmentsAuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Query Parameters
select?array<string>
expand?array<string>
Request Body
application/json
company_id*string
Example
"comp_123456"item_type*string
event_type represents services in the HQ product model.
Format
enumValue in
"product" | "event_type"item_id*string
Example
"item_123456"vat_category_id*string
Example
"vatcat_123456"Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/vat_assignments" \ -H "Content-Type: application/json" \ -d '{ "company_id": "comp_123456", "item_type": "product", "item_id": "item_123456", "vat_category_id": "vatcat_123456" }'{
"id": "vatassign_123456",
"company": "string",
"issuer": "string",
"item_type": "product",
"item_id": "item_123456",
"vat_category": "string",
"order": 0,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}Empty
Empty
Empty
Empty
Empty